package com.lightinit.hsdataplatform.impl.admin;

import com.lightinit.hsdataplatform.mapper.ResourceMapper;
import com.lightinit.hsdataplatform.model.admin.NameAndValueModel;
import com.lightinit.hsdataplatform.service.admin.IResourceAndUserCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ResourceAndUserCountServiceImpl implements IResourceAndUserCountService {
    @Autowired
    private ResourceMapper resourceMapper;
    @Override
    public List<NameAndValueModel> queryList() {
        return resourceMapper.getResourceCount();
    }

    @Override
    public List<NameAndValueModel> queryList2() {
        return resourceMapper.getUserCount();
    }

    @Override
    public List<NameAndValueModel> queryList3() {
        return resourceMapper.getResourceViewCount();
    }

    @Override
    public List<NameAndValueModel> queryList4() {
        return resourceMapper.getResourceFollowCount();
    }
}
